package com.ejie.y42b.model;

/**
 * * T17Calle  
 * 
 *  
 */

public class T17Calle implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private long id;
	private String dsO;
	private String municipioId;
	private String provinciaId;
	private String tipoViaId;
	
	/**
	 * Method 'T17Calle'.
	 * 
	 */
	public T17Calle() {
	}

	/**
	 * Method 'T17Calle'.
	 * 
	 * @param id
	 *            String
	 * @param dsO
	 *            String
	 */
	public T17Calle(long id, String dsO) {

		this.id = id;
		this.dsO = dsO;
	}

	/**
	 * Method 'getId'.
	 * 
	 * @return String
	 */

	public long getId() {
		return this.id;
	}

	/**
	 * Method 'setId'.
	 * 
	 * @param id
	 *            String
	 */

	public void setId(long id) {
		this.id = id;
	}

	/**
	 * Method 'getDsO'.
	 * 
	 * @return String
	 */

	public String getDsO() {
		return this.dsO;
	}

	/**
	 * Method 'setDsO'.
	 * 
	 * @param dsO
	 *            String
	 */

	public void setDsO(String dsO) {
		this.dsO = dsO;
	}

	/**
	 * 
	 * @return ""
	 */
	public String getMunicipioId() {
		return this.municipioId;
	}

	/**
	 * 
	 * @param municipioId String
	 */
	public void setMunicipioId(String municipioId) {
		this.municipioId = municipioId;
	}

	/**
	 * 
	 * @return ""
	 */
	public String getProvinciaId() {
		return this.provinciaId;
	}

	/**
	 * 
	 * @param provinciaId String
	 */
	public void setProvinciaId(String provinciaId) {
		this.provinciaId = provinciaId;
	}
	
	
	/**
	 * @return the tipoViaId
	 */
	public String getTipoViaId() {
		return tipoViaId;
	}

	/**
	 * @param tipoViaId the tipoViaId to set
	 */
	public void setTipoViaId(String tipoViaId) {
		this.tipoViaId = tipoViaId;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "T17Calle [id=" + id + ", dsO=" + dsO + ", municipioId="
				+ municipioId + ", provinciaId=" + provinciaId + ", tipoViaId="
				+ tipoViaId + "]";
	}

}
